Package org.eclipse.cdt.core.index

## Interface IIndexFileLocation

    public interface IIndexFileLocation

Files in the index are (conceptually) partitioned into workspace and non-workspace (external) files. Clients can obtain instances of IIndexFileLocation implementations from `IndexLocationFactory`. Two index file locations are considered equal if their URIs are equal.

Since:
  4.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getFullPath()` Returns the workspace relative path of the file in the index or `null` if the file is not in the workspace.
`URI` `getURI()` Returns the URI of the indexed file (non-`null`).

### Method Detail

#### getURI

    URI getURI()

Returns the URI of the indexed file (non-`null`).

#### getFullPath

    String getFullPath()

Returns the workspace relative path of the file in the index or `null` if the file is not in the workspace.